/*   2015 by Akien <akien@mageia.org>
 *   2014 by DarkBeastOfPrey
 *   Copyright (C) 2011 Ivan Cukic <ivan.cukic(at)kde.org>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License version 2,
 *   or (at your option) any later version, as published by the Free
 *   Software Foundation
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details
 *
 *   You should have received a copy of the GNU General Public
 *   License along with this program; if not, write to the
 *   Free Software Foundation, Inc.,
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

import Qt 4.7

Item {
    id: main

    width: screenSize.width
    height: screenSize.height
    property int stage
    
    onStageChanged: {
        if (stage == 1) {
            cauldron.opacity = 0.2
            letter1.opacity = 1
            letter2.opacity = 1
            letter3.opacity = 1
            letter4.opacity = 1
            letter5.opacity = 1
            letter6.opacity = 1
            bubble1.opacity = 0.2
        }
        if (stage == 2) {
            cauldron.opacity = 0.4
            bubble1.opacity = 0.4
            bubble2.opacity = 0.4
        }
        if (stage == 3) {
            cauldron.opacity = 0.6
            bubble1.opacity = 0.6
            bubble2.opacity = 0.6
            bubble3.opacity = 0.6
        }
        if (stage == 4) {
            cauldron.opacity = 0.8
            bubble1.opacity = 0.8
            bubble2.opacity = 0.8
            bubble3.opacity = 0.8
            bubble4.opacity = 0.8
        }
        if (stage == 5) {
            cauldron.opacity = 1
            bubble1.opacity = 1
            bubble2.opacity = 1
            bubble3.opacity = 1
            bubble4.opacity = 1
            bubble5.opacity = 1
        }
        if (stage == 6) {
            bubble6.opacity = 1
        }
    }
    
  Image {
    id: background
    source: "images/background.png"
    anchors.fill: parent

        anchors {
            top: parent.top
            left: parent.left
            right: parent.right
            bottom: parent.bottom

        }
        opacity: 1
    }

    Image {
        id: cauldron
        smooth: true

        x: (parent.width) / 2 - 282
        y: (parent.height) / 2 - 97

        source: "images/cauldron.png"

        opacity: 0
        Behavior on opacity { NumberAnimation { duration: 4000; alwaysRunToEnd: false; easing { type: Easing.InOutQuad } } }
    }

    Image {
        id: letter1
        smooth: true

        x: (parent.width) / 2 - 282
        y: (parent.height) / 2 - 97

        source: "images/letter1.png"

        opacity: 0
        Behavior on opacity { NumberAnimation { duration: 2000; alwaysRunToEnd: false; easing { type: Easing.InOutQuad } } }
    }

    Image {
        id: letter2
        smooth: true

        x: (parent.width) / 2 - 282
        y: (parent.height) / 2 - 97

        source: "images/letter2.png"

        opacity: 0
        Behavior on opacity { NumberAnimation { duration: 4000; alwaysRunToEnd: false; easing { type: Easing.InOutQuad } } }
    }

    Image {
        id: letter3
        smooth: true

        x: (parent.width) / 2 - 282
        y: (parent.height) / 2 - 97

        source: "images/letter3.png"

        opacity: 0
        Behavior on opacity { NumberAnimation { duration: 6000; alwaysRunToEnd: false; easing { type: Easing.InOutQuad } } }
    }

    Image {
        id: letter4
        smooth: true

        x: (parent.width) / 2 - 282
        y: (parent.height) / 2 - 97

        source: "images/letter4.png"

        opacity: 0
        Behavior on opacity { NumberAnimation { duration: 8000; alwaysRunToEnd: false; easing { type: Easing.InOutQuad } } }
    }

    Image {
        id: letter5
        smooth: true

        x: (parent.width) / 2 - 282
        y: (parent.height) / 2 - 97

        source: "images/letter5.png"

        opacity: 0
        Behavior on opacity { NumberAnimation { duration: 10000; alwaysRunToEnd: false; easing { type: Easing.InOutQuad } } }
    }

    Image {
        id: letter6
        smooth: true

        x: (parent.width) / 2 - 282
        y: (parent.height) / 2 - 97

        source: "images/letter6.png"

        opacity: 0
        Behavior on opacity { NumberAnimation { duration: 12000; alwaysRunToEnd: false; easing { type: Easing.InOutQuad } } }
    }
    
    Image {
        id: bubble1
        smooth: true

        x: (parent.width) / 2 - 282
        y: (parent.height) / 2 - 97

        source: "images/bubble1.png"

        opacity: 0
        Behavior on opacity { NumberAnimation { duration: 2000; alwaysRunToEnd: false; easing { type: Easing.InOutQuad } } }
    }

    Image {
        id: bubble2
        smooth: true

        x: (parent.width) / 2 - 282
        y: (parent.height) / 2 - 97

        source: "images/bubble2.png"

        opacity: 0
        Behavior on opacity { NumberAnimation { duration: 2000; alwaysRunToEnd: false; easing { type: Easing.InOutQuad } } }
    }
    
    Image {
        id: bubble3
        smooth: true

        x: (parent.width) / 2 - 282
        y: (parent.height) / 2 - 97

        source: "images/bubble3.png"

        opacity: 0
        Behavior on opacity { NumberAnimation { duration: 2000; alwaysRunToEnd: false; easing { type: Easing.InOutQuad } } }
    }
    
    Image {
        id: bubble4
        smooth: true

        x: (parent.width) / 2 - 282
        y: (parent.height) / 2 - 97

        source: "images/bubble4.png"

        opacity: 0
        Behavior on opacity { NumberAnimation { duration: 2000; alwaysRunToEnd: false; easing { type: Easing.InOutQuad } } }
    }
    
    Image {
        id: bubble5
        smooth: true

        x: (parent.width) / 2 - 282
        y: (parent.height) / 2 - 97

        source: "images/bubble5.png"

        opacity: 0
        Behavior on opacity { NumberAnimation { duration: 2000; alwaysRunToEnd: false; easing { type: Easing.InOutQuad } } }
    }
    
    Image {
        id: bubble6
        smooth: true

        x: (parent.width) / 2 - 282
        y: (parent.height) / 2 - 97

        source: "images/bubble6.png"

        opacity: 0
        Behavior on opacity { NumberAnimation { duration: 2000; alwaysRunToEnd: false; easing { type: Easing.InOutQuad } } }
    }

}
